관리 메뉴

심재운 블로그

Landroid/support/v4/accessibilityservice/AccessibilityServiceInfoCompat 오류 발생 본문

모바일관련/Xamarin

Landroid/support/v4/accessibilityservice/AccessibilityServiceInfoCompat 오류 발생

재우니 2016. 11. 23. 10:19

 

 

심각도 코드 설명 프로젝트 파일 줄 비표시 오류(Suppression) 상태
오류  java.lang.IllegalArgumentException: already added :  Landroid/support/v4/accessibilityservice/AccessibilityServiceInfoCompat; Fragments

 

xamarin 에서 오류가 나면 어떻게 해야 할지 모르는 경우가 많네요.

제가 보긴 위의 오류는 아래 Xamarin.Android.Support.v4 관련 이미 설치된 버전이 있고, 새롭게 받은 Xamarin.Android.Support.v7 버전이 존재할 경우 오류가 발생하더군요. 그래서 아래 표기된 Xamarin.Android.Support.v4 버전을 삭제하고 다시 visual studio 에서 복원을 했더니 아래 처럼 다시 만들어 지고, 다시빌드를 하니 오류 없이 되더군요..^^

 

 

I'm in some places, error below, the above android xamarin. received relevant version, newly installed already 4 v support android xamarin. 7 version if there are errors v support.Occur. So a transcribed below xamarin support android. 4 again a clear version, which v visual studio made again and again as below and build what do you do a restore from.Be error-free.

 

 

 

 

0 Comments
댓글쓰기 폼